﻿Public Class Form1

    Private Sub Form1_Load(sender As Object, e As System.EventArgs) Handles Me.Load

        ' NOTE: Data must be initialized dynamicly via code since our app is not using predertimined tables

        ' Creating test table...
        Dim dt As New DataTable
        dt.Columns.Add("ItemNo", GetType(String))
        dt.Columns.Add("ItemName", GetType(String))

        ' Filling it with data...
        Dim row As DataRow
        Dim l As Long
        For l = 1 To 5000
            row = dt.NewRow
            row("ItemNo") = l.ToString
            row("ItemName") = "Item " & l.ToString
            dt.Rows.Add(row)
        Next

        lstValues.ValueMember = "ItemNo"
        lstValues.DisplayMember = "ItemName"

        lstValues.DataSource = dt

        Dim c As Infragistics.Win.UltraWinGrid.UltraGridColumn = lstValues.DisplayLayout.Bands(0).Columns.Insert(0, "_VIS_COMBO_SELECTED_")
        c.DataType = GetType(Boolean)
        c.Header.Caption = String.Empty
        c.Header.CheckBoxVisibility = Infragistics.Win.UltraWinGrid.HeaderCheckBoxVisibility.Always
        c.Header.CheckBoxSynchronization = Infragistics.Win.UltraWinGrid.HeaderCheckBoxSynchronization.RowsCollection

        lstValues.DropDownStyle = Infragistics.Win.UltraWinGrid.UltraComboStyle.DropDownList

        lstValues.CheckedListSettings.CheckStateMember = "_VIS_COMBO_SELECTED_"
        lstValues.CheckedListSettings.EditorValueSource = Infragistics.Win.EditorWithComboValueSource.CheckedItems
        lstValues.CheckedListSettings.ListSeparator = ", "
        lstValues.CheckedListSettings.ItemCheckArea = Infragistics.Win.ItemCheckArea.Item

    End Sub

End Class
